KDE 4.2 PyKDE API Reference

- KDE's Python API

# PreviewJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

## Signals

| failed (KFileItem item)
| gotPreview (KFileItem item, QPixmap preview)

## Methods

| __init__ (self, KFileItemList items, int width, int height, int iconSize, int iconAlpha, bool scale, bool save, QStringList enabledPlugins)
| __init__ (self)
| failed (self, KFileItem item)
| gotPreview (self, KFileItem item, QPixmap preview)
| removeItem (self, KUrl url)
| setIgnoreMaximumSize (self, bool ignoreSize=1)
| slotResult (self, KJob job)

## Static Methods

QStringList | availablePlugins ()
KIO.filesize_t | maximumFileSize ()
QStringList | supportedMimeTypes ()

## Method Documentation

__init__ | ( | self, |
|  | KFileItemList | items,
|  | int | width,
|  | int | height,
|  | int | iconSize,
|  | int | iconAlpha,
|  | bool | scale,
|  | bool | save,
|  | QStringList | enabledPlugins
| ) |  |  |

Creates a new PreviewJob.

Parameters:

  | items | a list of files to create previews for
  | width | the desired width
  | height | the desired height, 0 to use the width
  | iconSize | the size of the mimetype icon to overlay over the preview or zero to not overlay an icon. This has no effect if the preview plugin that will be used doesn't use icon overlays.
  | iconAlpha | transparency to use for the icon overlay
  | scale | if the image is to be scaled to the requested size or returned in its original size
  | save | if the image should be cached for later use
  | enabledPlugins | if non-zero, this points to a list containing the names of the plugins that may be used.

__init__ | ( |  | self ) |

QStringList availablePlugins | ( |  | ) |

Returns a list of all available preview plugins. The list contains the basenames of the plugins' .desktop files (no path, no .desktop).

Returns:
  the list of plugins

failed | ( | self, |
|  | KFileItem | item
| ) |  |  |

Emitted when a thumbnail for item could not be created, either because a ThumbCreator for its MIME type does not exist, or because something went wrong.

Parameters:

  | item | the file that failed

Signal syntax:
  `QObject.connect(source, SIGNAL("failed(const KFileItem&)"), target_slot)`

gotPreview | ( | self, |
|  | KFileItem | item,
|  | QPixmap | preview
| ) |  |  |

Emitted when a thumbnail picture for item has been successfully retrieved.

Parameters:

  | item | the file of the preview
  | preview | the preview image

Signal syntax:
  `QObject.connect(source, SIGNAL("gotPreview(const KFileItem&, const QPixmap&)"), target_slot)`

KIO.filesize_t maximumFileSize | ( |  | ) |

Returns the default "maximum file size", in bytes, used by PreviewJob. This is useful for applications providing a GUI for letting the user change the size.

Since:
  4.1

removeItem | ( | self, |
|  | KUrl | url
| ) |  |  |

Removes an item from preview processing. Use this if you passed an item to filePreview and want to delete it now.

Parameters:

  | url | the url of the item that should be removed from the preview queue

setIgnoreMaximumSize | ( | self, |
|  | bool | ignoreSize=1
| ) |  |  |

If ignoreSize is true, then the preview is always generated regardless of the settings

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |

QStringList supportedMimeTypes | ( |  | ) |

Returns a list of all supported MIME types. The list can contain entries like text/ * (without the space).

Returns:
  the list of mime types